function valNum(ev)
{
    var e = ev.keyCode;
    //允许的有大、小键盘的数字，左右键，backspace, delete, Control + C, Control + V
    if(e != 48 && e != 49 && e != 50 && e != 51 && e != 52 && e != 53 && e != 54 && e != 55 && e != 56 && e != 57 && e != 96 && e != 97 && e != 98 && e != 99 && e != 100 && e != 101 && e != 102 && e != 103 && e != 104 && e != 105 && e != 37 && e != 39 && e != 13 && e != 8 && e != 9 && e != 46 ) {
        if(ev.ctrlKey == false)
        {
            //不允许的就清空!
             ev.returnValue = "";
         }
        else
        {
            //验证剪贴板里的内容是否为数字!
             valClip(ev);
         }
     }
}

//验证剪贴板是否为数字!
function valClip(ev)
{
    //查看剪贴板的内容!
    var content = clipboardData.getData("Text");
    if(content != null)
    {
        try
        {
            var test = parseInt(content);
            var str = "" + test;
            if(isNaN(test) == true)
            {
                //如果不是数字将内容清空!
                 clipboardData.setData("Text","");
             }
            else
            {
                if(str != content)
                     clipboardData.setData("Text", str);
             }
         }
        catch(e)
        {
            //清空出现错误的提示!
            alert("粘贴出现错误!");
        }
     }
}

//控制只能输入数字
function numOnly(obj)//obj 控件名
{ 
    var i= window.event.keyCode ; 
    if (!((i<=57 && i>=48)||(i>=97 && i<=122)||(i>=65 && i<=90)||(i==95)||(i==8)||(i==9)||(i==37)||(i==39)||(i==46)))
    { 
        document.getElementById(obj).select();
        event.returnValue=false; 
        return false; 
    }
    else
    { 
        return true; 
    } 
} 

//验证数字
function limitNum(obj) 
{
    var isNum=document.getElementById(obj).value;
   // alert(isNum);
    if(isNum.replace(/[\d+]/ig,"").length>0)
    {
        alert('请输入数字');
    }
}



/*js脚本就是要限制键盘输入，只能填入数字、小数点、负号、退格键、删除键和方向键。

ascii码说明：
8：退格键
46：delete
37-40： 方向键
48-57：小键盘区的数字
96-105：主键盘区的数字
110、190：小键盘区和主键盘区的小数点
189、109：小键盘区和主键盘区的负号

13：回车
9： Tab 就是那个把焦点移到下一个文本框的东东
*/
function myKeyDown()
{
    var    k=window.event.keyCode;   

    if ((k==46)||(k==8)||(k==189)||(k==109)||(k==190)||(k==110)|| (k>=48 && k<=57)||(k>=96 && k<=105)||(k>=37 && k<=40)) 
    {}
    else if(k==13){
         window.event.keyCode = 9;}
    else{
         window.event.returnValue = false;}
}
